<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.shcd.mapper.ShorePowerBlberthmonthuseMapper">

    <resultMap id="BaseResultMap" type="com.shcd.entity.ShorePowerBlberthmonthuse">
            <result property="id" column="ID" jdbcType="VARCHAR"/>
            <result property="userBerthId" column="USER_BERTH_ID" jdbcType="VARCHAR"/>
            <result property="month" column="MONTH" jdbcType="VARCHAR"/>
            <result property="useCount" column="USE_COUNT" jdbcType="DECIMAL"/>
            <result property="eleTime" column="ELE_TIME" jdbcType="DECIMAL"/>
            <result property="useElectricity" column="USE_ELECTRICITY" jdbcType="DECIMAL"/>
            <result property="mooringShipCount" column="MOORING_SHIP_COUNT" jdbcType="DECIMAL"/>
            <result property="createTime" column="CREATE_TIME" jdbcType="TIMESTAMP"/>
            <result property="createUid" column="CREATE_UID" jdbcType="VARCHAR"/>
            <result property="modifyTime" column="MODIFY_TIME" jdbcType="TIMESTAMP"/>
            <result property="modifyUid" column="MODIFY_UID" jdbcType="VARCHAR"/>
    </resultMap>
</mapper>
